lv.lumii.layoutengine

## Enum OutsideLabel.LineLabel.Orientation

- java.lang.Object
- - java.lang.Enum<OutsideLabel.LineLabel.Orientation>
  - - lv.lumii.layoutengine.OutsideLabel.LineLabel.Orientation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OutsideLabel.LineLabel.Orientation>
  Enclosing class:
    OutsideLabel.LineLabel

      public static enum OutsideLabel.LineLabel.Orientation
      extends java.lang.Enum<OutsideLabel.LineLabel.Orientation>

  This enumeration defines the options for limiting on which side of their line can labels be placed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` The label can be placed on either side of the line.
    `CENTER` Places the label over the line.
    `CLOCKWISE` Places the label clockwise from the line, looking from start to end.
    `COUNTERCLOCKWISE` Places the label counterclockwise from the line, looking from start to end.
    `LEFT_TOP` Places the label on top of the line, or to the left for vertical lines.
    `RIGHT_BOTTOM` Places the label at the bottom of the line, or to the right for vertical lines.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OutsideLabel.LineLabel.Orientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OutsideLabel.LineLabel.Orientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOCKWISE

          public static final OutsideLabel.LineLabel.Orientation CLOCKWISE

      Places the label clockwise from the line, looking from start to end.

    - #### COUNTERCLOCKWISE

          public static final OutsideLabel.LineLabel.Orientation COUNTERCLOCKWISE

      Places the label counterclockwise from the line, looking from start to end.

    - #### LEFT_TOP

          public static final OutsideLabel.LineLabel.Orientation LEFT_TOP

      Places the label on top of the line, or to the left for vertical lines.

    - #### RIGHT_BOTTOM

          public static final OutsideLabel.LineLabel.Orientation RIGHT_BOTTOM

      Places the label at the bottom of the line, or to the right for vertical lines.

    - #### CENTER

          public static final OutsideLabel.LineLabel.Orientation CENTER

      Places the label over the line.

    - #### BOTH

          public static final OutsideLabel.LineLabel.Orientation BOTH

      The label can be placed on either side of the line.

  - ### Method Detail

    - #### values

          public static OutsideLabel.LineLabel.Orientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OutsideLabel.LineLabel.Orientation c : OutsideLabel.LineLabel.Orientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OutsideLabel.LineLabel.Orientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null